Create User
curl --request POST \
--url https://platform.groundforge.ai/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"displayName": "<string>",
"id": "<string>",
"tenantId": "<string>",
"subTenantId": "<string>",
"status": "active",
"metadata": {}
}
'import requests
url = "https://platform.groundforge.ai/v1/users"
payload = {
"email": "<string>",
"displayName": "<string>",
"id": "<string>",
"tenantId": "<string>",
"subTenantId": "<string>",
"status": "active",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '<string>',
displayName: '<string>',
id: '<string>',
tenantId: '<string>',
subTenantId: '<string>',
status: 'active',
metadata: {}
})
};
fetch('https://platform.groundforge.ai/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create User
POST
/
v1
/
users
Create User
Authorizations
bearerAuthapiKeyAuth
OIDC access token for users and CLI clients.
Body
application/json
Response
Successful Response
Last modified on July 29, 2026
⌘I

